 /*
  * This module intercepts syslog() library calls and redirects their output
  * to the standard output stream. For interactive testing.
  * 
  * Author: Wietse Venema, Eindhoven University of Technology, The Netherlands.
  */

#ifndef lint
static char sccsid[] = "@(#) fakelog.c 1.3 94/12/28 17:42:21";
#endif

#include <stdio.h>
#include <stdarg.h>

#include "namespace.h"
#include "internal.h"

/* openlog - dummy */

/* ARGSUSED */

void openlog(char *name, int logopt, int facility)
{
    /* void */
}

/* vsyslog - format one record */

void vsyslog(int severity, const char *fmt, va_list ap)
{
    char    buf[BUFSIZ];

    vprintf(percent_m(buf, fmt), ap);
    printf("\n");
    fflush(stdout);
}

/* syslog - format one record */

/* VARARGS */

int syslog( int severity, const char *fmt, ...)
{
    va_list ap;

    va_start(ap, fmt);
    vsyslog(severity, fmt, ap);
    va_end(ap);
    return 0;
}

/* closelog - dummy */

void closelog(void)
{
    /* void */
}

