 /*
  * vsyslog() for sites without. In order to enable this code, build with
  * -Dvsyslog=myvsyslog. We use a different name so that no accidents will
  * happen when vsyslog() exists. On systems with vsyslog(), syslog() is
  * typically implemented in terms of vsyslog().
  * 
  * Author: Wietse Venema, Eindhoven University of Technology, The Netherlands.
  */

#ifndef lint
static char sccsid[] = "@(#) myvsyslog.c 1.1 94/12/28 17:42:33";
#endif

#ifdef vsyslog
#undef vsyslog

#include <stdio.h>
#include <stdarg.h>
#include <unistd.h>
#include <syslog.h>

#include "namespace.h"
#include "tcpd.h"
#include "internal.h"


void myvsyslog(int severity, const char *format, va_list ap)
{
    char    fbuf[BUFSIZ];
    char    obuf[3 * TCPD_STRING_LENGTH];

    vsnprintf(obuf, sizeof(obuf), percent_m(fbuf, format), ap);
    syslog(severity, "%s", obuf);
}

#endif

