 /*
  * @(#) namespace.h 1.0 02/01/04 16:22:24
  *
  * Author: Steve Grubb
  * Purpose: This header translates the names of functions & data so that they
  * do not collide with names in other applications when libwrap is linked.
  */
 
#ifndef NAMESPACE_HEADER
#define NAMESPACE_HEADER

#ifdef TCPD_PRIVATE_NAMESPACE

/* Data */
#define unknown                tcpd_unknown
#define paranoid               tcpd_paranoid
#define dry_run                tcpd_dry_run
#define hosts_allow_table      tcpd_hosts_allow_table
#define hosts_deny_table       tcpd_hosts_deny_table
#define hosts_access_verbose   tcpd_hosts_access_verbose
#define rfc931_timeout         tcpd_rfc931_timeout
#define resident               tcpd_resident

/* Functions */

#define clean_exit        tcpd_clean_exit
#define eval_user         tcpd_eval_user
#define eval_hostname     tcpd_eval_hostname
#define eval_hostaddr     tcpd_eval_hostaddr
#define eval_hostinfo     tcpd_eval_hostinfo
#define eval_client       tcpd_eval_client
#define eval_server       tcpd_eval_server
#define fix_options       tcpd_fix_options
#define xgets             tcpd_xgets
#define split_at          tcpd_split_at
#define safe_sleep        tcpd_safe_sleep
#define process_options   tcpd_process_options
#define percent_m         tcpd_percent_m
#define percent_x         tcpd_percent_x
#define rfc931            tcpd_rfc931
#define shell_cmd         tcpd_shell_cmd
#define sock_hostaddr     tcpd_sock_hostaddr
#define sock_hostname     tcpd_sock_hostname
#define tli_host          tcpd_tli_host
#define numeric_addr      tcpd_numeric_addr
#define skip_ipv6_addr    tcpd_skip_ipv6_addr

#endif

#endif
