 /*
  * Replace %m by system error message.
  * 
  * Author: Wietse Venema, Eindhoven University of Technology, The Netherlands.
  */

#ifndef lint
static char sccsid[] = "@(#) percent_m.c 1.1 94/12/28 17:42:37";
#endif

#include <stdio.h>
#include <errno.h>
#include <string.h>

#include "namespace.h"



char   *percent_m(char *obuf, const char *ibuf)
{
    char   *bp = obuf;
    const char   *cp = ibuf;

    while ( (*bp = *cp) ) {
        if (bp >= obuf + BUFSIZ - 1) {
            *bp = '\0';
            return obuf;
        }
        if (*cp == '%' && cp[1] == 'm') {
            const char *err_msg;
	    int tmp_errno = errno;
	    int len = BUFSIZ - (bp - obuf);

	    errno = 0;
	    err_msg = strerror(tmp_errno);

	    if (tmp_errno > 0 && errno == 0) 
		snprintf(bp, len, "%s", err_msg);
	    else 
		snprintf(bp, len, "Unknown error %d", tmp_errno);

	    bp += strlen(bp);
	    cp += 2;
	}
	else 
	    bp++, cp++;
    }
    return (obuf);
}

